## oss4mixer oss4mixer — Control sound input and output levels with OSS4 |

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read

## Types and Values

struct | GstOss4Mixer

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstOss4Mixer

## Implemented Interfaces

GstOss4Mixer implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Description

## Synopsis

### Element Information

plugin | oss4
author | Tim-Philipp Müller <tim centricular net>
class | Generic/Audio

### Element Pads

## Functions

## Types and Values

### struct GstOss4Mixer

    struct GstOss4Mixer;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS mixer device (e.g. /dev/oss/hdaudio0/mix0 or /dev/mixerN) (NULL = use first mixer device found).

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL